<?php
/*
名称: Tipask v2.0 火车发布接口
作者: 清顽于世 (QQ: 345738904)
制作时间: 2013/7/26 15:08:43
----------------------------------------------------------------------------------
支持 自动创建分类 ，分类目录名以分类名拼音创建，已存在的不会创建
自动创建分类方法, 发布参数里cid字段留空即可, 反之cid字段不留空时, 将不自动创建分类, 以选择的cid作为分类

自动注册发帖 回帖用户，已存在的用户不注册
发布采集到的提问时间 回答时间，发布效果与采集页面是一致的

自动检测是否有重复问题(可设置是否开启)，可以按标题进行重复检测

** 参数列表 **
//-- 必填参数 --
class : 问题分类 (格式: 一级分类|||二级分类|||三级分类)
title : 问题标题
description : 问题描述
user : 问题用户
addtime : 问题时间
//-- 选填参数 --
tags : 标签 (多个用|||分隔)
givescore : 悬赏分
//以下参数, 若有多个请用|||分隔, 元素个数必须相同!!!
answer_user : 回答用户
answer_content : 回答内容
answer_time : 回答时间

说明:
若只是获取分类下拉菜单, 则访问: /jiekou.php?pwd=123456&getlist=true
关于分类: 1.不能为空, 2.最多只能三级(系统自身限制, 无法更多级)
使用说明: 将 /jiekou.php; /control/jiekou.php; /model/jiekou.php; 覆盖到根目录下即可
*/

//接口配置
$jkconfig = array(
	'check_repeat' => true, //是否检测重复,根据标题判断 (true | false)
	'sep' => '|||', //循环分隔符
	'pwd_code' => 'dsklfj#)$(*', //密码加密密钥
	'charset' => 'UTF-8', //程序字符编码
);

header('Content-Type:text/html;charset='. $jkconfig['charset']);

//为了您的网站安全, 请修改默认接口认证密码!!!
if($_REQUEST['pwd'] != '123456') exit('接口认证密码错误!');

$_POST['jkconfig'] = json_encode($jkconfig);

//引入核心接口文件
$_SERVER['QUERY_STRING'] = 'jiekou/ajax.html';

require('./index.php');
?>